import myWorkbenches from './modules/myWorkbenches';
import serviceUnit from './modules/serviceUnit';
import sop from './modules/sop';
import resourceGuard from './modules/resourceGuard';
import workHours from './modules/workHours';
import projectQuality from './modules/projectQuality';

const asyncRoutes = [
  myWorkbenches,
  serviceUnit,
  sop,
  resourceGuard,
  workHours,
  projectQuality,
];
export const moduleMap = asyncRoutes.reduce((obj, item) => {
  obj[item.path.slice(1)] = item.name;
  return obj;
}, {});

export const whiteMenuList = [
  {
    id: 100,
    title: '我的工作台',
    parentId: 0,
    url: '/my-workbenches',
    sort: 0,
    name: 'MyWorkbenches',
  },
  {
    id: 101,
    parentId: 100,
    url: '/my-workbenches/workbenches',
    title: '工作台',
    sort: 1,
    name: 'Workbenches',
  },
  {
    id: 102,
    parentId: 101,
    url: '/my-workbenches/workbenches/message-reminder',
    title: '消息提醒',
    sort: 2,
    name: 'MessageReminder',
  },
  {
    id: 103,
    parentId: 101,
    url: '/my-workbenches/workbenches/my-tasks',
    title: '待办任务',
    sort: 3,
    name: 'MyTasks',
  },
  {
    id: 104,
    parentId: 101,
    url: '/my-workbenches/workbenches/notice',
    title: '通知公告',
    sort: 4,
    name: 'Notice',
  },
];
export default asyncRoutes;
