export default {
  name: 'ServiceUnit',
  path: '/service-unit',
  redirect: '/service-unit/dispatch',
  meta: {
    title: '服务单元管理',
    sort: 1,
    isModule: true,
  },
  children: [
    {
      name: 'Dispatch',
      path: '/service-unit/dispatch',
      redirect: '/service-unit/dispatch/dispatch-manage',
      meta: {
        title: '派单管理',
        sort: 1,
        icon: 'user-talk',
      },
      children: [
        {
          name: 'DispatchManage',
          path: '/service-unit/dispatch/dispatch-manage',
          component: () =>
            import('@/views/service-unit/dispatch/dispatch-manage/index.vue'),
          meta: {
            title: '派单管理',
            sort: 1,
          },
        },
      ],
    },
    {
      name: 'ServiceUnitManage',
      path: '/service-unit/service-unit-manage',
      redirect: '/service-unit/service-unit-manage/unit-manage',
      meta: {
        title: '服务单元管理',
        sort: 2,
        icon: 'server',
      },
      children: [
        {
          name: 'UnitManage',
          path: '/service-unit/service-unit-manage/unit-manage',
          component: () =>
            import(
              '@/views/service-unit/service-unit-manage/unit-manage/index.vue'
            ),
          meta: {
            title: '服务单元管理',
            sort: 1,
          },
        },
        {
          name: 'RangeManage',
          path: '/service-unit/service-unit-manage/range-manage',
          component: () =>
            import(
              '@/views/service-unit/service-unit-manage/range-manage/index.vue'
            ),
          meta: {
            title: '服务范围管理',
            sort: 2,
          },
        },
        {
          name: 'AddRange',
          path: '/service-unit/service-unit-manage/add-range',
          component: () =>
            import(
              '@/views/service-unit/service-unit-manage/add-range/index.vue'
            ),
          meta: {
            title: '新增服务范围',
            bind: 'RangeManage', //注意，这种不是菜单，但是也属于路由，比如name为"RangeManage"的时候，该路由也要有权限。需要在addRoute的时候考虑进去
          },
        },
        {
          name: 'RegionalPlanning',
          path: '/service-unit/service-unit-manage/regional-planning',
          component: () =>
            import(
              '@/views/service-unit/service-unit-manage/regional-planning/index.vue'
            ),
          meta: {
            title: '服务区域规划',
            sort: 3,
          },
        },
      ],
    },
  ],
};
